_RGBSColor Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
_RGBSColor Struct Reference

`#include <libwpd_internal.h>`

## Public Member Functions
| _RGBSColor (unsigned char r, unsigned char g, unsigned char b, unsigned char s)
| _RGBSColor (unsigned short red, unsigned short green, unsigned short blue)
| _RGBSColor ()

## Public Attributes
unsigned char | m_r
unsigned char | m_g
unsigned char | m_b
unsigned char | m_s

## Constructor & Destructor Documentation

_RGBSColor::_RGBSColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b,
|  | unsigned char | s
| ) |  |

_RGBSColor::_RGBSColor | ( | unsigned short | red,
|  | unsigned short | green,
|  | unsigned short | blue
| ) |  |

_RGBSColor::_RGBSColor | ( |  | ) |

## Member Data Documentation

unsigned char _RGBSColor::m_b

Referenced by WPXContentListener::_colorToString(), WPXContentListener::_mergeColorsToString(), WP6EOLGroup::_readContents(), WP6PageGroup::_readContents(), WP6FillStylePacket::_readContents(), WP6HighlightGroup::_readContents(), WP5ContentListener::characterColorChange(), WP6ContentListener::characterColorChange(), and WP6ContentListener::highlightChange().

unsigned char _RGBSColor::m_g

Referenced by WPXContentListener::_colorToString(), WPXContentListener::_mergeColorsToString(), WP6EOLGroup::_readContents(), WP6PageGroup::_readContents(), WP6FillStylePacket::_readContents(), WP6HighlightGroup::_readContents(), WP5ContentListener::characterColorChange(), WP6ContentListener::characterColorChange(), and WP6ContentListener::highlightChange().

unsigned char _RGBSColor::m_r

Referenced by WPXContentListener::_colorToString(), WPXContentListener::_mergeColorsToString(), WP6EOLGroup::_readContents(), WP6PageGroup::_readContents(), WP6FillStylePacket::_readContents(), WP6HighlightGroup::_readContents(), WP5ContentListener::characterColorChange(), WP6ContentListener::characterColorChange(), and WP6ContentListener::highlightChange().

unsigned char _RGBSColor::m_s

Referenced by WPXContentListener::_colorToString(), WPXContentListener::_mergeColorsToString(), WP6PageGroup::_readContents(), WP6EOLGroup::_readContents(), WP6FillStylePacket::_readContents(), WP6HighlightGroup::_readContents(), WP6ContentListener::characterShadingChange(), and WP6ContentListener::highlightChange().

The documentation for this struct was generated from the following files:

- libwpd_internal.h
- libwpd_internal.cpp